## org.eclipse.jst.jsf.facesconfig.edit.provider
Class FacesConfigEditPlugin

    java.lang.Object
      EMFPlugin
          org.eclipse.jst.jsf.facesconfig.edit.provider.FacesConfigEditPlugin

    public final class FacesConfigEditPlugin

extends EMFPlugin

This is the central singleton for the FacesConfig edit plugin.

Nested Class Summary
`static class` `FacesConfigEditPlugin.Implementation` The actual implementation of the Eclipse Plugin

Field Summary
`static java.lang.String` `copyright`
`static FacesConfigEditPlugin` `INSTANCE` Keep track of the singleton

Constructor Summary
`FacesConfigEditPlugin()` Create the instance

Method Summary
`static FacesConfigEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin
`ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### INSTANCE

    public static final FacesConfigEditPlugin INSTANCE

  Keep track of the singleton.

Constructor Detail

### FacesConfigEditPlugin

    public FacesConfigEditPlugin()

  Create the instance.

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

### getPlugin

    public static FacesConfigEditPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.